Bug 988533 - [abrt] anki-2.0.11-1.fc19: __init__.py:147:sendMsg:Exception: existing instance not responding
[abrt] anki-2.0.11-1.fc19: __init__.py:147:sendMsg:Exception: existing instan...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anki (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christian Krause
Fedora Extras Quality Assurance
abrt_hash:31cf3ff8f9e2414b1453b188a7b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-25 15:16 EDT by ragodrone
Modified: 2013-09-15 10:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-15 10:59:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (652 bytes, text/plain)
2013-07-25 15:16 EDT, ragodrone
no flags Details
File: core_backtrace (337 bytes, text/plain)
2013-07-25 15:16 EDT, ragodrone
no flags Details
File: environ (1.62 KB, text/plain)
2013-07-25 15:16 EDT, ragodrone
no flags Details

  None (edit)
Description ragodrone 2013-07-25 15:16:42 EDT
Description of problem:
Program Anki got frozen while attempting to edit a flashcard. 

Version-Release number of selected component:
anki-2.0.11-1.fc19

Additional info:
reporter:       libreport-2.1.5
cmdline:        python /usr/bin/anki
executable:     /usr/bin/anki
kernel:         3.9.9-302.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
__init__.py:147:sendMsg:Exception: existing instance not responding

Traceback (most recent call last):
  File "/usr/bin/anki", line 6, in <module>
    aqt.run()
  File "/usr/share/anki/aqt/__init__.py", line 200, in run
    if app.secondInstance():
  File "/usr/share/anki/aqt/__init__.py", line 140, in secondInstance
    self.sendMsg(buf)
  File "/usr/share/anki/aqt/__init__.py", line 147, in sendMsg
    raise Exception("existing instance not responding")
Exception: existing instance not responding

Local variables in innermost frame:
self: <aqt.AnkiApp object at 0x2472290>
txt: 'raise'
sock: <PyQt4.QtNetwork.QLocalSocket object at 0x24723b0>
Comment 1 ragodrone 2013-07-25 15:16:45 EDT
Created attachment 778475 [details]
File: backtrace
Comment 2 ragodrone 2013-07-25 15:16:50 EDT
Created attachment 778476 [details]
File: core_backtrace
Comment 3 ragodrone 2013-07-25 15:16:54 EDT
Created attachment 778477 [details]
File: environ
Comment 4 Christian Krause 2013-08-04 19:58:44 EDT
1. What exactly did you do before the problem happened? Did you try to record sound during editing?

2. The backtrace looks like that one anki instance was stuck and you tried to start it again. Can you confirm?

3. Is the problem reproducible? If yes, please provide the detailed steps.
Comment 5 Christian Krause 2013-09-15 10:59:49 EDT
The information we've requested above is required in order to review this problem report further and diagnose or fix the issue if it is still present. Since it has been thirty days or more since we first requested additional information, we're assuming the problem is either no longer present in the current Fedora release, or that there is no longer any interest in tracking the problem. 

Setting status to "CLOSED: INSUFFICIENT_DATA". If you still experience this problem after updating to our latest Fedora release and can provide the information previously requested, please feel free to reopen the bug report.

Note You need to log in before you can comment on or make changes to this bug.